### Method

# Shumate VectorValue set_string

since: 1.6

#### Declaration [src]

    void
    shumate_vector_value_set_string (
      ShumateVectorValue* self,
      const char* string
    )

#### Description [src]

Sets `self` to a string value.

Available since: 1.6

#### Parameters

`string`

  Type: `const char*`

  A string value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.